### Method

# GWeather Location find_by_country_code

#### Declaration [src]

    GWeatherLocation*
    gweather_location_find_by_country_code (
      GWeatherLocation* world,
      const char* country_code
    )

#### Description [src]

Retrieves the country identified by the specified ISO 3166 code, if present in the database.

#### Parameters

`country_code`

  Type: `const char*`

  A country code.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

#### Return value

Type: `GWeatherLocation`

A country level `GWeatherLocation`, or `NULL`.

The caller of the method takes ownership of the data, and is responsible for freeing it.